﻿using System;
using Dalamud.Game.Command;

namespace NominaOcculta {
    internal class Commands : IDisposable {
        private Plugin Plugin { get; }

        internal Commands(Plugin plugin) {
            this.Plugin = plugin;

            this.Plugin.CommandManager.AddHandler("/occulta", new CommandInfo(this.OnCommand) {
                HelpMessage = "Toggle the Nomina Occulta interface",
            });
        }

        public void Dispose() {
            this.Plugin.CommandManager.RemoveHandler("/occulta");
        }

        private void OnCommand(string command, string arguments) {
            this.Plugin.Ui.Visible ^= true;
        }
    }
}
